LIGHTSPARK(1)

NAME
lightspark - a free Flash player

SYNOPSIS
lightspark [--url|-u http://loader.url/file.swf] [--air] [--avmplus] [--disable-rendering] [--disable-interpreter|-ni] [--enable-fast-interpreter|-fi] [--enable-jit|-j] [--log-level|-l 0-4] [--parameters-file|-p params-file] [--profiling-output|-o] [--security-sandbox|-s <sandbox type>] [--exit-on-error] [--HTTP-cookies <cookie>] [--version|-v] file.swf

DESCRIPTION
Lightspark is a free, modern Flash Player implementation, this documents the options accepted by the standalone version of the program.

The player is currently in Beta, support for any particular SWF file is not guaranteed.

You might wish to see the project website at http://lightspark.sf.net or our technical blog at http://allievi.sssup.it/techblog

OPTIONS

--url loader.url/file.swf, -u loader.url/file.swf

    Pretends to be loading the file from an url

--disable-interpreter, -ni

    Disable the ActionScript interpreter

--enable-fast-interpreter

    Enable an experimental optimized ActionScript interpreter

--enable-jit, -j

    Enable the ActionScript JIT compilation engine

--log-level 0-4, -l 0-4

    Sets the verbosity of the output, the default is 2

--parameters-file params-file, -p params-file

    Load flash parameters from file. Every odd line will be interpreted as a parameter name, with the following one as the value.

--profiling-output profiling-file, -o profiling-file

    Output profiling data to profiling-file in a callgrind/KCachegrind compatible format

--security-sandbox type, -s type

    Run a Flash file in a given sandbox to control access to network and local files. The possible types are: remote (default), local-with-filesystem, local-with-networking, local-trusted.

--exit-on-error

    Exit as soon as the first error is encountered.

--HTTP-cookies cookie

    Set cookie to be used in HTTP requests.

--air

    Run as an AIR application: grant permission to access both local files and network, and enable AIR APIs.

--avmplus

    Run as an application with avmplus package: grant permission to access both local files and network, and enable avmplus APIs.

--disable-rendering

    Run the application without the need for a graphical environment.

--version, -v

    Shows lightspark version and exits.

AUTHOR
lightspark was written by Alessandro Pignotti.

This manual page was written by Jacopo Corbetta <j.corbetta@sssup.it>, for the Debian project (and may be used by others).